org.apache.hadoop.registry.client.exceptions

## Class AuthenticationFailedException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - org.apache.hadoop.fs.PathIOException
        - - org.apache.hadoop.registry.client.exceptions.RegistryIOException
          - - org.apache.hadoop.registry.client.exceptions.AuthenticationFailedException

- All Implemented Interfaces:
    Serializable

      public class AuthenticationFailedException
      extends RegistryIOException

  Exception raised when client access wasn't authenticated. That is: the credentials provided were incomplete or invalid.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AuthenticationFailedException(String path, String error)`
    `AuthenticationFailedException(String path, String error, Throwable cause)`
    `AuthenticationFailedException(String path, Throwable cause)`

  - ### Method Summary

    - ### Methods inherited from class org.apache.hadoop.fs.PathIOException

      `getMessage, getPath, getTargetPath, setOperation, setTargetPath, withFullyQualifiedPath`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AuthenticationFailedException

          public AuthenticationFailedException(String path,
                                               Throwable cause)

    - #### AuthenticationFailedException

          public AuthenticationFailedException(String path,
                                               String error)

    - #### AuthenticationFailedException

          public AuthenticationFailedException(String path,
                                               String error,
                                               Throwable cause)

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.